openapi: 3.0.1
info:
  title: SwiftRef API
  description: |
    One of Swift's latest delivery channels for SwiftRef reference data are Application Programming Interfaces (APIs).
    APIs offer financial institutions, corporates and third party service providers an automated data look-up service
    for real-time identification and validation of critical payments reference data within the SwiftRef utility.
    
    **v5.2.0 Release notes**

    * OpenAPI changes
      * 2 endpoints added:
        * Check validity of an account number and get its institution details: `POST /account_numbers/validity-and-institution-details`
        * Get country code and town name from a free format address: `GET /addresses/town-name-and-country-code`
  version: 5.2.0
  contact:
    name: Developer Hub
    url: 'https://developer.swift.com'
    email: developer-support@swift.com
  license:
    name: API Restricted License
    url: 'https://developer.swift.com/api-license'
servers:
  - url: 'https://api.swift.com/swiftrefdata/v5'
    description: Live environment - Internet
  - url: 'https://sandbox.swift.com/swiftrefdata/v5'
    description: Sandbox environment
  - url: 'https://api.swiftnet.sipn.swift.com/swiftrefdata/v5'
    description: Live environment - MV-SIPN
security:
  # NOTE:
  # Due to the limitation of OpenAPI Specification and the definition of servers (above), the securityScheme for oauthToken specifies the token and refresh URLs for the Swift Live environment only.
  #
  # When using environments (see servers above), the domain for the token and refresh URLs should be amended to match the domain of the environment required:
  # Live environment - MV-SIPN: use https://api.swiftnet.sipn.swift.com/oauth2/v1/token
  # Sandbox environment: use https://sandbox.swift.com/oauth2/v1/token
  - oauthToken: []
tags:
  - name: account_numbers
    description: Endpoints related to account numbers, including IBANs, BBANs, domestic account numbers and account numbers used for any type of payment.
  - name: bbans
    description: Endpoints related to BBANs (Basic Bank Account Number), the part of IBANs managed by national banking authorities.
  - name: bics
    description: Endpoints related to BICs (Business Identifier Code), an international standard for identification of institutions within the financial services industry, described by standard ISO 9362.
  - name: country_codes
    description: Endpoints related to the different country code formats described by standard ISO 3166-1.
  - name: currency_codes
    description: Endpoints related to the different currency code formats described by standard ISO 4217.
  - name: iban_national_ids
    description: Endpoints related to IBAN National IDs, that represent the bank IDs within IBANs.
  - name: ibans
    description: Endpoints related to IBANs (International Bank Account Number), the worldwide unique identifiers for accounts of customers at financial institutions, described by standard ISO 13616.
  - name: leis
    description: Endpoints related to LEIs (Legal Entity Identifier), used for unique identification of legal entities involved in financial transactions, deascribed by standard ISO 17442.
  - name: national_ids
    description: Endpoints related to National IDs, identifiers associated to banks or financial institutions.
  - name: pmis
    description: Endpoints related to PMIs (Payment Market Infrastructures), that are clearing and settlement services or SWIFTNet services.
  - name: identifiers
    description: Endpoints related to identifiers associated to institutions.
  - name: sensitive_data
    description: Endpoints dealing with data allowing to clearly identify customers.
  - name: collection
    description: Endpoints processing a list of identifiers, instead of only one.
  - name: addresses
    description: Endpoints related to address processing.
paths:
  '/ibans/validity-and-bic':
    post:
      tags:
        - ibans
        - sensitive_data
        - collection
      summary: Check validity of a list of IBANs and get their BICs.
      description: You can check whether several IBANs are valid and get their IBAN BICs.
      operationId: getCollectionIbanValidityAndBic
      requestBody:
        description: Object containing IBANs to validate.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestIbans'
            examples:
              Formally_valid_IBANs:
                summary: Valid IT IBAN and IBAN with inexistent country code
                value:
                  ibans:
                    - IT60X0542811101000000123456
                    - XX8330001234567
              Valid_IBAN_and_formally_invalid_IBAN:
                summary: Valid IT IBAN and LU IBAN with unallowed characters (a 400 response is returned)
                value:
                  ibans:
                    - IT60X0542811101000000123456
                    - LU-12-001-0001234567891
      responses:
        '200':
          description: IBAN BIC or failed validation result (because of domain-related reason), for each input IBAN
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IbansValidationAndBicRetrievalResult'
              example:
                - iban: IT60X0542811101000000123456
                  bic: BCITITMMXXX
                - iban: XX8330001234567
                  errors:
                    - code: REDA.API.IICC
                      severity: Fatal
                      text: ISO IBAN country code prefix is not valid
            application/xml:
              schema:
                $ref: '#/components/schemas/IbansValidationAndBicRetrievalResult'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <results>
                  <result>
                    <iban>IT60X0542811101000000123456</iban>
                    <bic>BCITITMMXXX</bic>
                  </result>
                  <result>
                    <iban>XX8330001234567</iban>
                    <errors>
                      <error>
                        <code>REDA.API.IICC</code>
                        <severity>Fatal</severity>
                        <text>ISO IBAN country code prefix is not valid</text>
                      </error>
                    </errors>
                  </result>
                </results>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Input IBAN list is invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                Empty_list_of_IBANs:
                  summary: Empty list of IBANs
                  value:
                    errors:
                      - code: REDA.API.ELII
                        severity: Fatal
                        text: Empty list of IBAN identifiers
                Invalid_list_of_IBANs:
                  summary: At least one input IBANs is formally invalid
                  value:
                    errors:
                      - code: REDA.API.ILII
                        severity: Fatal
                        text: At least one invalid IBAN resource identifier (not matching expression [a-zA-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,30})
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                Empty_list_of_IBANs:
                  summary: Empty list of IBANs
                  value: |
                    <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                    <errors>
                      <error>
                        <code>REDA.API.ELII</code>
                        <severity>Fatal</severity>
                        <text>Empty list of IBAN identifiers</text>
                      </error>
                    </errors>
                Invalid_list_of_IBANs:
                  summary: At least one input IBANs is formally invalid
                  value: |
                    <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                    <errors>
                      <error>
                        <code>REDA.API.ILII</code>
                        <severity>Fatal</severity>
                        <text>At least one invalid IBAN resource identifier (not matching expression [a-zA-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,30})</text>
                      </error>
                    </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '405':
          $ref: '#/components/responses/InvalidHttpMethodSensitiveData'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/ibans/enhanced-details':
    post:
      tags:
        - ibans
        - sensitive_data
      summary: Check validity of an IBAN and get its enhanced details.
      description: You can check whether an IBAN is valid, get its details and IBAN BIC details.
      operationId: getIbanValidityAndEnhancedDetails
      requestBody:
        description: Object containing IBAN to validate.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestIban'
            examples:
              IT_valid_IBAN:
                summary: Valid IT IBAN
                value:
                  iban: IT60X0542811101000000123456
              LU_formally_invalid_IBAN:
                summary: LU IBAN with unallowed characters (a 400 response is returned)
                value:
                  iban: LU-12-001-0001234567891
              XX_invalid_IBAN:
                summary: Inexistent IBAN country code
                value:
                  iban: XX8330001234567
      responses:
        '200':
          description: Valid IBAN, its details and IBAN BIC details found or invalid IBAN because of domain-related reason.
          content:
            application/json:
              schema:
                oneOf:
                  # Valid IBAN, with its details found, optionally with IBAN BIC details.
                  - $ref: '#/components/schemas/IbanEnhancedDetails'
                  # Invalid IBAN, because of domain-related reason.
                  - $ref: '#/components/schemas/Errors'
              examples:
                IBAN_valid_and_BIC_details_found:
                  summary: IBAN is valid, its details and IBAN BIC details are found
                  value:
                    iban: IT60X0542811101000000123456
                    country_code: IT
                    checksum: '60'
                    bank_id: '05428'
                    branch_id: '11101'
                    account_number: '000000123456'
                    length: 27
                    is_iso: true
                    iban_bic:
                      bic: BCITITMMXXX
                      office_type: HO
                      name: INTESA SANPAOLO SPA
                      department: HEAD OFFICE
                      swift_type: SUPE
                      utc_offset: '+01:00'
                      unstructured_address:
                        address_line_1: PIAZZA DELLA SCALA, 6
                        address_line_3: 20121 MILANO (MI) IT
                      structured_address:
                        street_name: PIAZZA DELLA SCALA
                        building_number: '6'
                        post_code: '20121'
                        town_name: MILANO
                        country_subdivision_name: MILANO
                        country_subdivision_code: MI
                        country_code: IT
                        country_name: ITALY
                      swift_connectivity:
                        fin: true
                        interact: true
                        fileact: true
                        finplus:
                          future: ou=xxx,o=bcititmm,o=swift
                          live: ou=xxx,o=bcititmm,o=swift
                          pilot: ou=xxx,o=bcititmm,o=swift
                      swift_services:
                        - code: EBA
                          name: EBA CLEARING - EURO1
                        - code: ERP
                          name: EBA CLEARING - STEP1
                        - code: FIN
                          name: PUBLISH IN FIN BASIC SECTION (BLUE) IN BIC DIR
                IBAN_not_usable_and_BIC_details_not_returned:
                  summary: IBAN is valid but, since listed within the Exclusion List, it cannot be used and no IBAN BIC is returned
                  value:
                    errors:
                      - code: REDA.API.IBID
                        severity: Fatal
                        text: The bank ID exists, but should not be used in IBANs (it is included in the exclusion list)
                        user_message: The bank ID is invalid according to the EXCLUSION LIST
            application/xml:
              schema:
                oneOf:
                  # Valid IBAN, with its details found, optionally with IBAN BIC details.
                  - $ref: '#/components/schemas/IbanEnhancedDetails'
                  # Invalid IBAN, because of domain-related reason.
                  - $ref: '#/components/schemas/Errors'
              examples:
                IBAN_valid_and_BIC_details_found:
                  summary: IBAN is valid, its details and IBAN BIC details are found
                  value: |
                    <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                    <iban>
                      <iban>IT60X0542811101000000123456</iban>
                      <country_code>IT</country_code>
                      <checksum>60</checksum>
                      <bank_id>05428</bank_id>
                      <branch_id>11101</branch_id>
                      <account_number>000000123456</account_number>
                      <length>27</length>
                      <is_iso>true</is_iso>
                      <iban_bic>
                        <bic>BCITITMMXXX</bic>
                        <office_type>HO</office_type>
                        <name>INTESA SANPAOLO SPA</name>
                        <department>HEAD OFFICE</department>
                        <swift_type>SUPE</swift_type>
                        <utc_offset>+01:00</utc_offset>
                        <unstructured_address>
                          <address_line_1>PIAZZA DELLA SCALA, 6</address_line_1>
                          <address_line_3>20121 MILANO (MI) IT</address_line_3>
                        </unstructured_address>
                        <structured_address>
                          <street_name>PIAZZA DELLA SCALA</street_name>
                          <building_number>6</building_number>
                          <post_code>20121</post_code>
                          <town_name>MILANO</town_name>
                          <country_subdivision_name>MILANO</country_subdivision_name>
                          <country_subdivision_code>MI</country_subdivision_code>
                          <country_code>IT</country_code>
                          <country_name>ITALY</country_name>
                        </structured_address>
                        <swift_connectivity>
                          <fin>true</fin>
                          <interact>true</interact>
                          <fileact>true</fileact>
                          <finplus>
                            <future>ou=xxx,o=bcititmm,o=swift</future>
                            <live>ou=xxx,o=bcititmm,o=swift</live>
                            <pilot>ou=xxx,o=bcititmm,o=swift</pilot>
                          </finplus>
                        </swift_connectivity>
                        <swift_services>
                          <swift_service>
                            <code>EBA</code>
                            <name>EBA CLEARING - EURO1</name>
                          </swift_service>
                          <swift_service>
                            <code>ERP</code>
                            <name>EBA CLEARING - STEP1</name>
                          </swift_service>
                          <swift_service>
                            <code>FIN</code>
                            <name>PUBLISH IN FIN BASIC SECTION (BLUE) IN BIC DIR</name>
                          </swift_service>
                        </swift_services>
                      </iban_bic>
                    </iban>
                IBAN_not_usable_and_BIC_details_not_returned:
                  summary: IBAN is valid but, since listed within the Exclusion List, it cannot be used and no IBAN BIC is returned
                  value: |
                    <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                    <errors>
                      <error>
                        <code>REDA.API.IBID</code>
                        <severity>Fatal</severity>
                        <text>The bank ID exists, but should not be used in IBANs (it is included in the exclusion list)</text>
                        <user_message>The bank ID is invalid according to the EXCLUSION LIST</user_message>
                      </error>
                    </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          $ref: '#/components/responses/FormallyInvalidIban'
        '401':
          $ref: '#/components/responses/Unallowed'
        '405':
          $ref: '#/components/responses/InvalidHttpMethodSensitiveData'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/ibans/validity':
    post:
      tags:
        - ibans
        - sensitive_data
      summary: Check validity of an IBAN, with SEPA-only option.
      description: You can check whether an IBAN is valid, by restricting validation to SEPA countries.
      operationId: getIbanValidity
      requestBody:
        description: Object containing IBAN to validate, with flag driving restricting validation to SEPA countries.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestIbanWithSepaFlag'
            examples:
              IT_no_sepa_flag:
                summary: Italian IBAN without SEPA-only flag
                value:
                  iban: IT60X0542811101000000123456
              IT_with_sepa_flag:
                summary: Italian IBAN without SEPA-only flag
                value:
                  iban: IT60X0542811101000000123456
                  sepa_only: true
      responses:
        '200':
          description: Valid IBAN
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IbanValidity'
              example:
                iban: IT60X0542811101000000123456
                validity: IVAL
            application/xml:
              schema:
                $ref: '#/components/schemas/IbanValidity'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <validity>
                  <iban>IT60X0542811101000000123456</iban>
                  <validity>IVAL</validity>
                </validity>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          $ref: '#/components/responses/FormallyInvalidIban'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: Supplied IBAN is not valid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.IICC
                    severity: Fatal
                    text: ISO IBAN country code prefix is not valid
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.IICC</code>
                    <severity>Fatal</severity>
                    <text>ISO IBAN country code prefix is not valid</text>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethodSensitiveData'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/ibans/bic':
    post:
      tags:
        - ibans
        - sensitive_data
      summary: Get the BIC for an IBAN.
      description: For a given IBAN, you can retrieve the BIC of the institution that services the IBAN. This API is compliant with the requirement for BIC from IBAN derivation defined in the Regulation (EU) No 260/2012.
      operationId: getBicFromIban
      requestBody:
        description: Object containing IBAN for which the corresponding BIC is requested
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestIban'
            examples:
              IT:
                summary: Italian IBAN
                value:
                  iban: IT60X0542811101000000123456
      responses:
        '200':
          description: Corresponding BIC found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IbanBic'
              example:
                bic: DEUTDEFFXXX
            application/xml:
              schema:
                $ref: '#/components/schemas/IbanBic'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <bic>
                  <bic>DEUTDEFFXXX</bic>
                </bic>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Input IBAN is formally invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.MIRI
                    severity: Fatal
                    text: Invalid IBAN resource identifier (not matching expression [a-zA-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,30}) or missing IBAN resource identifier
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.MIRI</code>
                    <severity>Fatal</severity>
                    <text>Invalid IBAN resource identifier (not matching expression [a-zA-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,30}) or missing IBAN resource identifier</text>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: No corresponding BIC found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.BINF
                    severity: Fatal
                    user_message: No corresponding BIC found
                    text: The supplied IBAN does not exist or has no BIC associated
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.BINF</code>
                    <severity>Fatal</severity>
                    <text>No corresponding BIC found</text>
                    <user_message>The supplied IBAN does not exist or has no BIC associated</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethodSensitiveData'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/ibans/details':
    post:
      tags:
        - ibans
        - sensitive_data
      summary: Get details for an IBAN.
      description: For a given IBAN, you can obtain the components of the IBAN.
      operationId: getIbanDetails
      requestBody:
        description: Object containing IBAN for which details are requested
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestIban'
            examples:
              IT:
                summary: Italian IBAN
                value:
                  iban: IT60X0542811101000000123456
      responses:
        '200':
          description: Corresponding IBAN found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IbanDetailsWithIsoFlag'
              example:
                iban: DE04500700100532013000
                country_code: DE
                checksum: '04'
                bank_id: '50070010'
                account_number: '0532013000'
                length: 22
                is_iso: true
            application/xml:
              schema:
                $ref: '#/components/schemas/IbanDetailsWithIsoFlag'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <iban>
                  <iban>DE04500700100532013000</iban>
                  <country_code>DE</country_code>
                  <checksum>04</checksum>
                  <bank_id>50070010</bank_id>
                  <account_number>0532013000</account_number>
                  <length>22</length>
                  <is_iso>true</is_iso>
                </iban>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: No corresponding IBAN found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.INVI
                    severity: Fatal
                    text: Invalid IBAN
                    user_message: Invalid IBAN
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.INVI</code>
                    <severity>Fatal</severity>
                    <text>Invalid IBAN</text>
                    <user_message>Invalid IBAN</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethodSensitiveData'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/ibans':
    post:
      tags:
        - ibans
        - sensitive_data
      summary: IBAN constructor.
      description: Build a valid IBAN from BBAN elements (e.g. bank code, branch code, account number). Required BBAN elements depend on the country.
      operationId: ibanConstructor
      requestBody:
        description: Object containing IBAN country code and BBAN elements, supplied either as separate tokens or as single token (full BBAN)
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestIbanConstruction'
            examples:
              IT_separate_tokens:
                summary: Italian BBAN as separate elements
                value:
                  country_code: IT
                  checksum: X
                  bank_code: '05428'
                  branch_code: '11101'
                  account: '000000123456'
              IT_single_token:
                summary: Italian BBAN as single element (full BBAN)
                value:
                  country_code: IT
                  bban: X0542811101000000123456
      responses:
        '200':
          description: IBAN code was successfully built from BBAN elements
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IbanBuilt'
              example:
                iban: IT60X0542811101000000123456
            application/xml:
              schema:
                $ref: '#/components/schemas/IbanBuilt'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <iban>
                  <iban>IT60X0542811101000000123456</iban>
                </iban>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.MIBE
                    severity: Fatal
                    text: account not provided
                  - code: REDA.API.MIBE
                    severity: Fatal
                    text: bank_code not provided
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.MIBE</code>
                    <severity>Fatal</severity>
                    <text>account not provided</text>
                  </error>
                  <error>
                    <code>REDA.API.MIBE</code>
                    <severity>Fatal</severity>
                    <text>bank_code not provided</text>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: IBAN contruction failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.IBEV
                    severity: Fatal
                    text: country_code has an invalid value
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.MIBE</code>
                    <severity>Fatal</severity>
                    <text>country_code has an invalid value</text>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethodSensitiveData'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/iban_national_ids/{iban_national_id}/bic':
    get:
      tags:
        - iban_national_ids
      summary: Get the BIC for an IBAN national ID.
      description: For a given IBAN national ID, you can retrieve the BIC of the institution that services the IBAN.
      operationId: getBicFromIbanNationalId
      parameters:
        - in: path
          name: iban_national_id
          schema:
            $ref: '#/components/schemas/AlphaNumStringMax30'
          required: true
          description: IBAN national ID for which the corresponding BIC is requested
          example: '0542811101'
        - in: query
          name: country_code
          schema:
            $ref: '#/components/schemas/CountryCode'
          required: true
          description: The 2-character ISO 3166-1 country code of the country that issued the IBAN National ID
          example: IT
      responses:
        '200':
          description: Corresponding BIC found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IbanNationalIdBic'
              example:
                bic: DEUTDEFFXXX
            application/xml:
              schema:
                $ref: '#/components/schemas/IbanNationalIdBic'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <bic>
                  <bic>DEUTDEFFXXX</bic>
                </bic>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.ICCF
                    severity: Fatal
                    text: Invalid country code format
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.ICCF</code>
                    <severity>Fatal</severity>
                    <text>Invalid country code format</text>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: BIC not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.NICT
                    severity: Fatal
                    text: Country not supporting IBANs
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.NICT</code>
                    <severity>Fatal</severity>
                    <text>Country not supporting IBANs</text>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethod'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/bbans/iban':
    post:
      tags:
        - bbans
        - sensitive_data
      summary: Get the IBAN from a BBAN.
      description: For a given Basic Bank Account Number (BBAN), you can retrieve the corresponding IBAN; you must also provide a country code.
      operationId: getIbanFromBban
      requestBody:
        description: Object containing IBAN country code and BBAN for which the corresponding IBAN is requested
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - country_code
                - bban
              properties:
                country_code:
                  $ref: '#/components/schemas/CountryCode'
                  # description: The 2-character ISO 3166-1 country code of the country that issued the National ID
                bban:
                  $ref: '#/components/schemas/AlphaNumStringMax30'
              additionalProperties: false
            examples:
              IT:
                summary: Italian BBAN
                value:
                  country_code: IT
                  bban: X0542811101000000123456
      responses:
        '200':
          description: Corresponding IBAN found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IbanOfBban'
              example:
                iban: DE04500700100532013000
            application/xml:
              schema:
                $ref: '#/components/schemas/IbanOfBban'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <iban>
                  <iban>DE04500700100532013000</iban>
                </iban>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.ICCP
                    severity: Fatal
                    text: The supplied country code does not exist
                    user_message: Invalid country code parameter
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.ICCP</code>
                    <severity>Fatal</severity>
                    <text>The supplied country code does not exist</text>
                    <user_message>Invalid country code parameter</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: No corresponding IBAN found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.IBNF
                    severity: Fatal
                    text: No corresponding IBAN found
                    user_message: No corresponding IBAN found
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.IBNF</code>
                    <severity>Fatal</severity>
                    <text>No corresponding IBAN found</text>
                    <user_message>No corresponding IBAN found</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethodSensitiveData'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/bbans/elements':
    get:
      tags:
        - bbans
      summary: Get BBAN elements of an IBAN country.
      description: Get all BBAN element combinations that can be used as input of IBAN constructor for a specific country. Each BBAN element is described by name, length, mandatory/optional flag, position within BBAN.
      operationId: getBbanElements
      parameters:
        - $ref: '#/components/parameters/ibanCountryCode'
      responses:
        '200':
          description: BBAN elements found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BbanElements'
              example:
                elements:
                  - - field_position: 3
                      field_length: 23
                      field_name: bban
                      label_en: Bank code and account number
                      label_local: Numero di conto
                      is_max_length: false
                      is_mandatory: true
                  - - field_position: 3
                      field_length: 1
                      field_name: checksum
                      label_en: National checksum
                      label_local: CIN
                      is_max_length: false
                      is_mandatory: false
                    - field_position: 4
                      field_length: 5
                      field_name: bank_code
                      label_en: Bank code
                      label_local: ABI
                      is_max_length: false
                      is_mandatory: true
                    - field_position: 5
                      field_length: 5
                      field_name: branch_code
                      label_en: Branch code
                      label_local: CAB
                      is_max_length: false
                      is_mandatory: true
                    - field_position: 6
                      field_length: 12
                      field_name: account
                      label_en: Account number
                      label_local: Numero di conto corrente
                      is_max_length: true
                      is_mandatory: true
            application/xml:
              schema:
                $ref: '#/components/schemas/BbanElements'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <bban>
                  <elements>
                    <element>
                      <field_position>3</field_position>
                      <field_length>23</field_length>
                      <field_name>bban</field_name>
                      <label_en>Bank code and account number</label_en>
                      <label_local>Numero di conto</label_local>
                      <is_max_length>false</is_max_length>
                      <is_mandatory>true</is_mandatory>
                    </element>
                  </elements>
                  <elements>
                    <element>
                      <field_position>3</field_position>
                      <field_length>1</field_length>
                      <field_name>checksum</field_name>
                      <label_en>National checksum</label_en>
                      <label_local>CIN</label_local>
                      <is_max_length>false</is_max_length>
                      <is_mandatory>false</is_mandatory>
                    </element>
                    <element>
                      <field_position>4</field_position>
                      <field_length>5</field_length>
                      <field_name>bank_code</field_name>
                      <label_en>Bank code</label_en>
                      <label_local>ABI</label_local>
                      <is_max_length>false</is_max_length>
                      <is_mandatory>true</is_mandatory>
                    </element>
                    <element>
                      <field_position>5</field_position>
                      <field_length>5</field_length>
                      <field_name>branch_code</field_name>
                      <label_en>Branch code</label_en>
                      <label_local>CAB</label_local>
                      <is_max_length>false</is_max_length>
                      <is_mandatory>true</is_mandatory>
                    </element>
                    <element>
                      <field_position>6</field_position>
                      <field_length>12</field_length>
                      <field_name>account</field_name>
                      <label_en>Account number</label_en>
                      <label_local>Numero di conto corrente</label_local>
                      <is_max_length>true</is_max_length>
                      <is_mandatory>true</is_mandatory>
                    </element>
                  </elements>
                </bban>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.ICCP
                    severity: Fatal
                    text: IBAN country code parameter is not valid
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.ICCP</code>
                    <severity>Fatal</severity>
                    <text>IBAN country code parameter is not valid</text>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: BBAN elements not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.BENF
                    severity: Fatal
                    text: No corresponding BBAN elements found
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.BENF</code>
                    <severity>Fatal</severity>
                    <text>No corresponding BBAN elements found</text>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethod'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/bics/{bic}':
    get:
      tags:
        - bics
      summary: Get details of a BIC.
      description: For a given BIC, you can retrieve the details of that BIC, that is the bank name or business name, and the address and the Swift service details.
      operationId: getBicDetails
      parameters:
        - in: path
          name: bic
          schema:
            $ref: '#/components/schemas/Bic'
          required: true
          description: BIC (8-characters or 11-characters) for which details are requested
          example: DEUTDEFFXXX
      responses:
        '200':
          description: Corresponding BIC details found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BicIsoDetails'
              example:
                bic: DEUTDEFFXXX
                name: DEUTSCHE BANK AG
                office_type: HO
                utc_offset: "+01:00"
                structured_address:
                  building_number: '12'
                  country_code: DE
                  country_name: GERMANY
                  country_subdivision_name: HESSEN
                  post_code: '60325'
                  street_name: TAUNUSANLAGE
                  town_name: FRANKFURT AM MAIN
                swift_connectivity:
                  fileact: true
                  fin: true
                  finplus:
                    future: ou=xxx,o=deutdeff,o=swift
                    live: ou=xxx,o=deutdeff,o=swift
                    pilot: ou=xxx,o=deutdeff,o=swift
                  interact: true
                swift_services:
                  - code: EBA
                    name: EBA CLEARING - EURO1
                  - code: ERP
                    name: EBA CLEARING - STEP1
                  - code: FIN
                    name: Many-to-many FIN payment service
                  - code: PCH
                    name: SWISS INTERBANK CLEARING (SIC)
                  - code: SCO
                    name: SCORE FIN
                  - code: TGT
                    name: TARGET2 DIRECT PARTICIPANTS
                swift_type: SUPE
            application/xml:
              schema:
                $ref: '#/components/schemas/BicIsoDetails'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <bic>
                  <bic>DEUTDEFFXXX</bic>
                  <name>DEUTSCHE BANK AG</name>
                  <office_type>HO</office_type>
                  <utc_offset>+01:00</utc_offset>
                  <structured_address>
                    <building_number>12</building_number>
                    <country_code>DE</country_code>
                    <country_name>GERMANY</country_name>
                    <country_subdivision_name>HESSEN</country_subdivision_name>
                    <post_code>60325</post_code>
                    <street_name>TAUNUSANLAGE</street_name>
                    <town_name>FRANKFURT AM MAIN</town_name>
                  </structured_address>
                  <swift_connectivity>
                    <fin>true</fin>
                    <finplus>
                      <future>ou=xxx,o=deutdeff,o=swift</future>
                      <live>ou=xxx,o=deutdeff,o=swift</live>
                      <pilot>ou=xxx,o=deutdeff,o=swift</pilot>
                    </finplus>
                    <interact>true</interact>
                    <fileact>true</fileact>
                  </swift_connectivity>
                  <swift_services>
                    <swift_service>
                      <code>EBA</code>
                      <name>EBA CLEARING - EURO1</name>
                    </swift_service>
                    <swift_service>
                      <code>ERP</code>
                      <name>EBA CLEARING - STEP1</name>
                    </swift_service>
                    <swift_service>
                      <code>FIN</code>
                      <name>Many-to-many FIN payment service</name>
                    </swift_service>
                    <swift_service>
                      <code>PCH</code>
                      <name>SWISS INTERBANK CLEARING (SIC)</name>
                    </swift_service>
                    <swift_service>
                      <code>SCO</code>
                      <name>SCORE FIN</name>
                    </swift_service>
                    <swift_service>
                      <code>TGT</code>
                      <name>TARGET2 DIRECT PARTICIPANTS</name>
                    </swift_service>
                  </swift_services>
                  <swift_type>SUPE</swift_type>
                </bic>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: BIC not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.BINF
                    severity: Fatal
                    text: The supplied BIC does not exist within the BIC Directory
                    user_message: No corresponding BIC found
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.BINF</code>
                    <severity>Fatal</severity>
                    <text>The supplied BIC does not exist within the BIC Directory</text>
                    <user_message>No corresponding BIC found</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethod'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/bics/{bic}/validity':
    get:
      tags:
        - bics
      summary: Check validity of a BIC.
      description: You can check whether a BIC is correct and valid, that is whether it is published in the BIC Directory; optionally, you can check whether a BIC was valid at a particular date in the past.
      operationId: getBicValidity
      parameters:
        - in: path
          name: bic
          schema:
            $ref: '#/components/schemas/Bic'
          required: true
          description: BIC (8-characters or 11-characters) to validate
          example: DEUTDEFFXXX
        - in: query
          name: effective_date
          schema:
            type: string
            format: date
          required: false
          description: A date in YYYY-MM-DD format
          example: '2019-07-23'
      responses:
        '200':
          description: Valid BIC
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BicValidity'
              example:
                bic: DEUTDEFFXXX
                validity: VBIC
                effective_date: '2019-07-23Z'
            application/xml:
              schema:
                $ref: '#/components/schemas/BicValidity'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <validity>
                  <bic>DEUTDEFFXXX</bic>
                  <validity>VBIC</validity>
                  <effective_date>2019-07-23Z</effective_date>
                </validity>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.MBRI
                    severity: Fatal
                    text: Invalid BIC resource identifier (not matching expression [A-Z]{6,6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3,3}){0,1}) or missing BIC resource identifier
                    user_message: Invalid BIC format or BIC not supplied
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.MBRI</code>
                    <severity>Fatal</severity>
                    <text>Invalid BIC resource identifier (not matching expression [A-Z]{6,6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3,3}){0,1}) or missing BIC resource identifier</text>
                    <user_message>Invalid BIC format or BIC not supplied</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: Supplied BIC is not formally valid or does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.IBIC
                    severity: Fatal
                    text: BIC resource identifier matches expression [A-Z]{6,6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3,3}){0,1},but it does not exist within the BIC Directory (or is invalid on the supplied date, if supplied)
                    user_message: Invalid BIC
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.IBIC</code>
                    <severity>Fatal</severity>
                    <text>BIC resource identifier matches expression [A-Z]{6,6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3,3}){0,1},but it does not exist within the BIC Directory (or is invalid on the supplied date, if supplied)</text>
                    <user_message>Invalid BIC</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethod'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/bics/{bic}/lei':
    get:
      tags:
        - bics
      summary: Get the LEI for a BIC.
      description: For a given BIC (Business Identifier Code), you can retrieve the LEI (Legal Entity Identifier) of that BIC.
      operationId: getLeiFromBic
      parameters:
        - in: path
          name: bic
          schema:
            $ref: '#/components/schemas/Bic'
          required: true
          description: BIC (8-characters or 11-characters) for which the corresponding LEI is requested
          example: DEUTDEFFXXX
      responses:
        '200':
          description: Corresponding LEI found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeiFound'
              example:
                lei: 7LTWFZYICNSX8D621K86
            application/xml:
              schema:
                $ref: '#/components/schemas/LeiFound'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <lei>
                  <lei>7LTWFZYICNSX8D621K86</lei>
                </lei>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: Corresponding LEI not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.LEIN
                    severity: Fatal
                    text: The BIC does not exist or has no LEI associated
                    user_message: No corresponding LEI found
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.LEIN</code>
                    <severity>Fatal</severity>
                    <text>The BIC does not exist or has no LEI associated</text>
                    <user_message>No corresponding LEI found</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethod'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/bics/{bic}/national_ids':
    get:
      tags:
        - bics
      summary: Get National IDs for a BIC.
      description: For a given BIC, you can retrieve the National IDs of that BIC.
      operationId: getNationalIdsFromBic
      parameters:
        - in: path
          name: bic
          schema:
            $ref: '#/components/schemas/Bic'
          required: true
          description: BIC (8-characters or 11-characters) for which the corresponding National IDs are requested
          example: DEUTDEFFXXX
      responses:
        '200':
          description: Corresponding National ID(s) found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NationalIdsFound'
              example:
                national_ids:
                  - id: '015246'
                    id_type: 'US-CHIPS6'
                    national_id_type: CHIPS
                  - id: '352002'
                    id_type: 'HK-ICC6'
                    national_id_type: HKICL
                    iso_clc_type: HKNCC
            application/xml:
              schema:
                $ref: '#/components/schemas/NationalIdsFound'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <national_ids>
                  <national_ids>
                    <id>015246</id>
                    <id_type>US-CHIPS6</id_type>
                    <national_id_type>CHIPS</national_id_type>
                  </national_ids>
                  <national_ids>
                    <id>352002</id>
                    <id_type>HK-ICC6</id_type>
                    <national_id_type>HKICL</national_id_type>
                    <iso_clc_type>HKNCC</iso_clc_type>
                  </national_ids>
                </national_ids>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.MBRI
                    severity: Fatal
                    text: Missing BIC resource identifier
                    user_message: Wrong URL format
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.MBRI</code>
                    <severity>Fatal</severity>
                    <text>Missing BIC resource identifier</text>
                    <user_message>Wrong URL format</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: Corresponding National ID(s) not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.NNIF
                    severity: Fatal
                    text: The BIC does not exist or has no national ID associated
                    user_message: No corresponding national ID found
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.NNIF</code>
                    <severity>Fatal</severity>
                    <text>The BIC does not exist or has no national ID associated</text>
                    <user_message>No corresponding national ID found</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethod'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/bics/{bic}/reachability':
    get:
      tags:
        - bics
      summary: Validate SEPA reachability of a BIC.
      description: For a given BIC and SEPA payment scheme, you can validate that it can be reached for SEPA payments and return the SEPA channel CSM (Clearing and Settlement System) through which the bank owning the BIC can be reached; the response also returns the adherence BIC that signed the adherence agreement with the EPC and the intermediary institution's BIC (if applicable and available).
      operationId: getSepaReachabilityFromBic
      parameters:
        - in: path
          name: bic
          schema:
            $ref: '#/components/schemas/Bic'
          required: true
          description: BIC (8-characters or 11-characters) for which SEPA reachability is requested
          example: DEUTDEFFXXX
        - in: query
          name: sepa_scheme
          schema:
            type: string
            minLength: 1
            maxLength: 7
          required: true
          description: SEPA service code
          example: SDD
      responses:
        '200':
          description: Payment channel(s) found with the supplied BIC and scheme
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BicReachabilityFound'
              example:
                payment_channels:
                  - id: EBAS
                    member_type: IDRC
                    direct_participant: DEUTDEFFXXX
                  - id: DBSC
                    member_type: DRCT
                  - id: TIPS
                    member_type: UKWN
            application/xml:
              schema:
                $ref: '#/components/schemas/BicReachabilityFound'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <reachability>
                  <payment_channels>
                    <id>EBAS</id>
                    <member_type>IDRC</member_type>
                    <direct_participant>DEUTDEFFXXX</direct_participant>
                  </payment_channels>
                  <payment_channels>
                    <id>DBSC</id>
                    <member_type>DRCT</member_type>
                  </payment_channels>
                  <payment_channels>
                    <id>TIPS</id>
                    <member_type>UKWN</member_type>
                  </payment_channels>
                </reachability>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.ISSC
                    severity: Fatal
                    text: SEPA scheme parameter not supplied, supplied with a wrong parameter name or the SEPA scheme does not exist (only SDD, SCT, SDB and SCTINST allowed)
                    user_message: Invalid SEPA scheme parameter
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.ISSC</code>
                    <severity>Fatal</severity>
                    <text>SEPA scheme parameter not supplied, supplied with a wrong parameter name or the SEPA scheme does not exist (only SDD, SCT, SDB and SCTINST allowed)</text>
                    <user_message>Invalid SEPA scheme parameter</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: No payment channel found with the supplied BIC and scheme or wrong URL format
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.ICHA
                    severity: Fatal
                    text: The supplied BIC does not exist or has no payment channel associated with the supplied SEPA scheme
                    user_message: No payment channel found with the supplied BIC and scheme
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.ICHA</code>
                    <severity>Fatal</severity>
                    <text>The supplied BIC does not exist or has no payment channel associated with the supplied SEPA scheme</text>
                    <user_message>No payment channel found with the supplied BIC and scheme</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethod'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/bics/{bic}/ssis':
    get:
      tags:
        - bics
      summary: Get SSIs for a BIC.
      description: For a given BIC, you can retrieve the Standing Settlement Instructions (SSIs) for that BIC, for a given currency, and (optionally) an asset category.
      operationId: getSsisFromBic
      parameters:
        - in: path
          name: bic
          schema:
            $ref: '#/components/schemas/Bic'
          required: true
          description: BIC (8-characters or 11-characters) for which the corresponding SSIs are requested
          example: DEUTDEFFXXX
        - in: query
          name: iso_currency_code
          schema:
            $ref: '#/components/schemas/CurrencyCode'
          required: true
          description: A 3-character currency code for which SSI data needs to be retrieved
          example: EUR
        - in: query
          name: asset_category
          schema:
            $ref: '#/components/schemas/SsiAssetCategory'
          required: false
          description: Code that indicates the asset category for which SSI data needs to be retrieved
          example: COPA
      responses:
        '200':
          description: Records found matching the supplied parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SsisFound'
              example:
                ssis:
                  - owner:
                      bic: DEUTDEFFXXX
                      city: FRANKFURT AM MAIN
                      institution_name: DEUTSCHE BANK AG
                      iso_country_code: DE
                    account_holding_institution:
                      bic: NBADAEAAXXX
                      institution_name: FIRST ABU DHABI BANK PJSC
                      iso_country_code: AE
                      account_number: AE340350000000250007510
                      institution_type: CORRESPONDENT
                      preferred: false
                    traffic_flag: false
                    update_date: '2025-05-07'
                    asset_category: COPA
                    iso_currency_code: AED
                  - owner:
                      bic: DEUTDEFFXXX
                      city: FRANKFURT AM MAIN
                      institution_name: DEUTSCHE BANK AG
                      iso_country_code: DE
                    account_holding_institution:
                      bic: NBADAEAAXXX
                      institution_name: FIRST ABU DHABI BANK PJSC
                      iso_country_code: AE
                      account_number: AE340350000000250007510
                      institution_type: CORRESPONDENT
                      preferred: false
                    traffic_flag: false
                    update_date: '2025-05-07'
                    asset_category: FOEX
                    iso_currency_code: AED
            application/xml:
              schema:
                $ref: '#/components/schemas/SsisFound'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <ssis>
                  <ssis>
                    <owner>
                    <bic>DEUTDEFFXXX</bic>
                      <city>FRANKFURT AM MAIN</city>
                      <institution_name>DEUTSCHE BANK AG</institution_name>
                      <iso_country_code>DE</iso_country_code>
                    </owner>
                    <account_holding_institution>
                      <bic>NBADAEAAXXX</bic>
                      <institution_name>FIRST ABU DHABI BANK PJSC</institution_name>
                      <iso_country_code>AE</iso_country_code>
                      <account_number>AE340350000000250007510</account_number>
                      <institution_type>CORRESPONDENT</institution_type>
                      <preferred>false</preferred>
                    </account_holding_institution>
                    <traffic_flag>false</traffic_flag>
                    <update_date>2025-05-07</update_date>
                    <asset_category>COPA</asset_category>
                    <iso_currency_code>AED</iso_currency_code>
                  </ssis>
                  <ssis>
                    <owner>
                      <bic>DEUTDEFFXXX</bic>
                      <city>FRANKFURT AM MAIN</city>
                      <institution_name>DEUTSCHE BANK AG</institution_name>
                      <iso_country_code>DE</iso_country_code>
                    </owner>
                    <account_holding_institution>
                      <bic>NBADAEAAXXX</bic>
                      <institution_name>FIRST ABU DHABI BANK PJSC</institution_name>
                      <iso_country_code>AE</iso_country_code>
                      <account_number>AE340350000000250007510</account_number>
                      <institution_type>CORRESPONDENT</institution_type>
                      <preferred>false</preferred>
                    </account_holding_institution>
                    <traffic_flag>false</traffic_flag>
                    <update_date>2025-05-07</update_date>
                    <asset_category>FOEX</asset_category>
                    <iso_currency_code>AED</iso_currency_code>
                  </ssis>
                </ssis>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.ICCY
                    severity: Fatal
                    text: Currency parameter not supplied, supplied with a wrong parameter name or it does not exist (not ISO 4217-compliant)
                    user_message: Invalid currency parameter
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.ICCY</code>
                    <severity>Fatal</severity>
                    <text>Currency parameter not supplied, supplied with a wrong parameter name or it does not exist (not ISO 4217-compliant)</text>
                    <user_message>Invalid currency parameter</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: No records found matching the supplied input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.NOSS
                    severity: Fatal
                    text: The supplied BIC does not exist or has no SSI with the specified currency and category
                    user_message: No SSI matching the supplied parameters
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.NOSS</code>
                    <severity>Fatal</severity>
                    <text>The supplied BIC does not exist or has no SSI with the specified currency and category</text>
                    <user_message>No SSI matching the supplied parameters</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethod'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/bics/{bic}/connected_bic':
    get:
      tags:
        - bics
      summary: Get connected BIC.
      description: For a given BIC, retrieve the related connected BIC (or Swift BIC), which is a BIC connected to the Swift network, therefore usable in the header of a Swift message. If available, it is a BIC of the same institution, otherwise it's the correspondent through which the input BIC connects.
      operationId: getConnectedBic
      parameters:
        - in: path
          name: bic
          schema:
            $ref: '#/components/schemas/Bic'
          required: true
          description: BIC resource identifier
          example: DEUTDEFFXXX
      responses:
        '200':
          description: Connected BIC found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectedBicFound'
              example:
                connected_bic: WELADEDDXXX
            application/xml:
              schema:
                $ref: '#/components/schemas/ConnectedBicFound'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <connected_bic>
                  <connected_bic>WELADEDDXXX</connected_bic>
                </connected_bic>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.INVP
                    severity: Fatal
                    text: Invalid parameter
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.INVP</code>
                    <severity>Fatal</severity>
                    <text>Invalid parameter</text>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: Input BIC does not exist of connected BIC not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.NCBF
                    severity: Fatal
                    text: No connected BIC found
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.NCBF</code>
                    <severity>Fatal</severity>
                    <text>No connected BIC found</text>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethod'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/leis/{lei}/bic':
    get:
      tags:
        - leis
      summary: Get the BIC for an LEI.
      description: For a given LEI, you can retrieve the BIC of that LEI.
      operationId: getBicFromLei
      parameters:
        - in: path
          name: lei
          schema:
            $ref: '#/components/schemas/Lei'
          required: true
          description: LEI (20-characters) for which the corresponding BIC is requested
          example: BFXS5XCH7N0Y05NIXW11
      responses:
        '200':
          description: Corresponding BIC found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeiBic'
              example:
                bic: DEUTDEFFXXX
            application/xml:
              schema:
                $ref: '#/components/schemas/LeiBic'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <bic>
                  <bic>DEUTDEFFXXX</bic>
                </bic>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.MLRI
                    severity: Fatal
                    text: Missing LEI resource identifier
                    user_message: Wrong URL format
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.MLRI</code>
                    <severity>Fatal</severity>
                    <text>Missing LEI resource identifier</text>
                    <user_message>Wrong URL format</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: Corresponding BIC not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.BINF
                    severity: Fatal
                    text: The LEI does not exist or has no BIC associated
                    user_message: No corresponding BIC found
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.BINF</code>
                    <severity>Fatal</severity>
                    <text>The LEI does not exist or has no BIC associated</text>
                    <user_message>No corresponding BIC found</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethod'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/leis/{lei}/validity':
    get:
      tags:
        - leis
      summary: Check validity of a LEI.
      description: You can check whether a LEI is formally correct and exists.
      operationId: getLeiValidity
      parameters:
        - in: path
          name: lei
          schema:
            $ref: '#/components/schemas/Lei'
          required: true
          description: LEI to validate
          example: BFXS5XCH7N0Y05NIXW11
      responses:
        '200':
          description: Valid LEI
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeiValidity'
              example:
                lei: BFXS5XCH7N0Y05NIXW11
                validity: VLEI
            application/xml:
              schema:
                $ref: '#/components/schemas/LeiValidity'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <validity>
                  <lei>BFXS5XCH7N0Y05NIXW11</lei>
                  <validity>VLEI</validity>
                </validity>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.MCRI
                    severity: Fatal
                    text: Missing LEI resource identifier
                    user_message: Wrong URL format
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.MCRI</code>
                    <severity>Fatal</severity>
                    <text>Missing LEI resource identifier</text>
                    <user_message>Wrong URL format</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: Invalid LEI or LEI not found or wrong URL format
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.ILEI
                    severity: Fatal
                    text: LEI resource identifier matches expression [0-9A-Z]{20}, but it does not exist
                    user_message: Invalid LEI
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.ILEI</code>
                    <severity>Fatal</severity>
                    <text>LEI resource identifier matches expression [0-9A-Z]{20}, but it does not exist</text>
                    <user_message>Invalid LEI</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethod'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/leis/{lei}':
    get:
      tags:
        - leis
      summary: Get details of a LEI.
      description: For a given LEI, you can retrieve the details of that LEI.
      operationId: getLeiDetails
      parameters:
        - in: path
          name: lei
          schema:
            $ref: '#/components/schemas/Lei'
          required: true
          description: LEI for which details are requested
          example: BFXS5XCH7N0Y05NIXW11
      responses:
        '200':
          description: Corresponding LEI found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeiDetails'
              example:
                lei: BFXS5XCH7N0Y05NIXW11
                legal_name: ABN AMRO Bank N.V.
                legal_jurisdiction: NL
                entity_legal_form_code: B5PM
                entity_status: ACTIVE
                initial_registration_date: '2012-06-06'
                last_update_date: '2025-06-10'
                registration_status: ISSUED
                address:
                  street_address:
                    - Gustav Mahlerlaan 10
                  city: Amsterdam
                  postal_code: 1082PP
                  country_name: NETHERLANDS
                head_quarters_address:
                  street_address:
                    - Gustav Mahlerlaan 10
                  city: Amsterdam
                  postal_code: 1082PP
                  country_name: NETHERLANDS
            application/xml:
              schema:
                $ref: '#/components/schemas/LeiDetails'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <lei>
                  <lei>BFXS5XCH7N0Y05NIXW11</lei>
                  <legal_name>ABN AMRO Bank N.V.</legal_name>
                  <legal_jurisdiction>NL</legal_jurisdiction>
                  <entity_legal_form_code>B5PM</entity_legal_form_code>
                  <entity_status>ACTIVE</entity_status>
                  <initial_registration_date>2012-06-06</initial_registration_date>
                  <last_update_date>2025-06-10</last_update_date>
                  <registration_status>ISSUED</registration_status>
                  <address>
                    <street_address>Gustav Mahlerlaan 10</street_address>
                    <city>Amsterdam</city>
                    <postal_code>1082PP</postal_code>
                    <country_name>NETHERLANDS</country_name>
                  </address>
                  <head_quarters_address>
                    <street_address>Gustav Mahlerlaan 10</street_address>
                    <city>Amsterdam</city>
                    <postal_code>1082PP</postal_code>
                    <country_name>NETHERLANDS</country_name>
                  </head_quarters_address>
                </lei>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '401':
          $ref: '#/components/responses/Unallowed'
        '404':
          description: LEI not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.LENF
                    severity: Fatal
                    text: The LEI does not exist
                    user_message: LEI not found
            application/xml:
              schema:
                $ref: '#/components/schemas/Errors'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <errors>
                  <error>
                    <code>REDA.API.LENF</code>
                    <severity>Fatal</severity>
                    <text>The LEI does not exist</text>
                    <user_message>LEI not found</user_message>
                  </error>
                </errors>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '405':
          $ref: '#/components/responses/InvalidHttpMethod'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        default:
          $ref: '#/components/responses/UnexpectedError'
  '/national_ids/{national_id}':
    get:
      tags:
        - national_ids
      summary: Get details of a National ID.
      description: For a given National ID, you can retrieve the details of that National ID, that is the bank name or business name, and the address. You must provide either a country code, or an indication to which scheme the National ID belongs.
      operationId: getNationalIdDetails
      parameters:
        - in: path
          name: national_id
          schema:
            $ref: '#/components/schemas/NationalIdCode'
          required: true
          description: National ID (a synonym for clearing code, routing code, sort code, bank and branch ID) for which details are requested
          example: '50070010'
        - in: query
          name: country_code
          schema:
            $ref: '#/components/schemas/CountryCode'
          required: false
          description: The 2-character ISO 3166-1 country code of the country that issued the National ID (mandatory, when scheme parameter is not provided)
          example: DE
        - in: query
          name: scheme
          schema:
            $ref: '#/components/schemas/NationalIdScheme'
          required: false
          description: The scheme (a synonym for the National ID type) under which the National ID is defined (mandatory, when country_code parameter is not provided)
          example: 'DE-BLZ8'
        - in: query
          name: only_local_language
          schema:
            $ref: '#/components/schemas/BooleanAsString'
          required: false
          description: Whether fields must be returned in local language
          example: 'false'
      responses:
        '200':
          description: Corresponding National ID(s) found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NationalIdDetailsFound'
              example:
                national_ids:
                  - national_id: '50070010'
                    id_type: DE-BLZ8
                    national_id_type: BLZ
                    iso_clc_type: DEBLZ
                    office_type: HO
                    name: DEUTSCHE BANK
                    department: DEUTSCHE BANK
                    utc_offset: "+01:00"
                    unstructured_address:
                      address_line_1: FRANKFURT AM MAIN, HESSEN, 60254
                    structured_address:
                      post_code: '60254'
                      town_name: FRANKFURT AM MAIN
                      country_subdivision_name: HESSEN
                      country_code: DE
                      country_name: GERMANY
                  - national_id: '50070010'
                    id_type: DE-BLZ8
                    national_id_type: BLZ
                    iso_clc_type: DEBLZ
                    office_type: DB
                    name: DEUTSCHE BANK
                    department: DEUTSCHE BANK
                    utc_offset: "+01:00"
                    unstructured_address:
                      address_line_1: BAD HOMBURG, HESSEN, 61348
                    structured_address:
                      post_code: '61348'
                      town_name: BAD HOMBURG
                      country_subdivision_name: HESSEN
                      country_code: DE
                      country_name: GERMANY
            application/xml:
              schema:
                $ref: '#/components/schemas/NationalIdDetailsFound'
              example: |
                <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
                <national_ids>
                  <national_ids>
                    <national_id>50070010</national_id>
                    <id_type>DE-BLZ8</id_type>
                    <national_id_type>BLZ</national_id_type>
                    <iso_clc_type>DEBLZ</iso_clc_type>
                    <office_type>HO</office_type>
                    <name>DEUTSCHE BANK</name>
                    <department>DEUTSCHE BANK</department>
                    <utc_offset>+01:00</utc_offset>
                    <unstructured_address>
                      <address_line_1>FRANKFURT AM MAIN, HESSEN, 60254</address_line_1>
                    </unstructured_address>
                    <structured_address>
                      <post_code>60254</post_code>
                      <town_name>FRANKFURT AM MAIN</town_name>
                      <country_subdivision_name>HESSEN</country_subdivision_name>
                      <country_code>DE</country_code>
                      <country_name>GERMANY</country_name>
                    </structured_address>
                  </national_ids>
                  <national_ids>
                    <national_id>50070010</national_id>
                    <id_type>DE-BLZ8</id_type>
                    <national_id_type>BLZ</national_id_type>
                    <iso_clc_type>DEBLZ</iso_clc_type>
                    <office_type>DB</office_type>
                    <name>DEUTSCHE BANK</name>
                    <department>DEUTSCHE BANK</department>
                    <utc_offset>+01:00</utc_offset>
                    <unstructured_address>
                      <address_line_1>BAD HOMBURG, HESSEN, 61348</address_line_1>
                    </unstructured_address>
                    <structured_address>
                      <post_code>61348</post_code>
                      <town_name>BAD HOMBURG</town_name>
                      <country_subdivision_name>HESSEN</country_subdivision_name>
                      <country_code>DE</country_code>
                      <country_name>GERMANY</country_name>
                    </structured_address>
                  </national_ids>
                </national_ids>
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              example:
                errors:
                  - code: REDA.API.INIF
                    severity: Fatal
[...]
